{% extends 'core/base.html' %}

{% block title %}😻{% endblock %}

{% block content %} 
<!-- <header class="px-6 py-10 lg:py-20 bg-ctp-base" id="hero"> -->
<header class="flex flex-grow items-center justify-center" style="height: 90vh;">
  <div class="flex flex-row justify-center px-6">
    <div class="max-w-3xl mx-auto text-center bg-ctp-crust border-4 border-ctp-pink rounded-xl px-10 py-20">
      <p class="mb-4 text-3xl lg:text-5xl bg-gradient-to-r from-ctp-pink to-ctp-lavender inline-block text-transparent bg-clip-text font-black">Welcome to the 😻 Vending Machine</p>
      <div class="w-full flex justify-center">
        <p class="mb-10 w-1/2 text-ctp-subtext0 font-semibold">Regardless of whether you want a cat or not, the Cat Vending Machine is here to do the bidding of the cat universe.</p>
      </div>
      <div class="flex flex-col md:flex-row justify-center gap-4">
        <a href="{% url 'shop' %}" class="inline-block px-8 py-4 rounded-xl font-bold border-box text-ctp-base bg-gradient-to-r from-ctp-green to-ctp-sapphire hover:from-ctp-lavender hover:to-ctp-mauve">Get Meow'd</a>
        <a href="#convince-me" class="inline-block px-8 py-4 rounded-xl font-bold border-2 border-ctp-lavender hover:bg-ctp-mantle">Convince Me</a>
      </div>
    </div>
  </div>
</header>

<div class="max-w-6xl mx-auto mt-20 py-2 px-6 xl:px-0 bg-ctp-base" id="convince-me">
  <div class="flex flex-col items-center justify-center mb-8">
    <p class="max-w-xl text-center text-3xl font-bold mb-8 leading-normal">Stop <span class="bg-ctp-green inline-block rounded text-ctp-base">Kitten</span> Around: Our Products Are the Cat's Meow!</p>
    <p class="md:w-2/3 text-xl mb-8">Owning a cat isn't just about having a pet – it's about inviting endless joy, companionship, and a dash of mischief into your life. With their independent yet affectionate nature, cats offer unique benefits. Take a look at some of our featured critters:</p>
  </div>
  <div class="products flex items-stretch flex-wrap object-scale-down">
    {% for product in products %}
      {% include 'catalog/partials/catalog_item.html' %}
    {% endfor %}
  </div>
</div>

<div class="max-w-6xl mx-auto mt-12 py-2 px-6 xl:px-0 bg-ctp-base" id="index-testimonials">
  <div class="flex flex-col items-center justify-center mb-8">
    <p class="max-w-xl text-center text-3xl font-bold mb-8 leading-normal">Join the <span class="bg-ctp-green inline-block rounded text-ctp-base">Cat</span> Revolution: Where Every Purchase Helps Keep the World Claw-some!</p>
    <p class="md:w-2/3 text text-xl mb-8">Still not convinced? Here's some customer Purr-spectives: Discover the Delightful Tales and Heartwarming Experiences Shared by Our Cat-Loving Community. From Furry Shenanigans to Purr-fect Companionship, Our Customers Share Their Stories of Joy and Connection:</p>
  </div>
  <div class="flex flex-col items-center justify-center">
    <svg class="w-8 h-8 text-ctp-pink mb-4" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 18 14">
      <path d="M6 0H2a2 2 0 0 0-2 2v4a2 2 0 0 0 2 2h4v1a3 3 0 0 1-3 3H2a1 1 0 0 0 0 2h1a5.006 5.006 0 0 0 5-5V2a2 2 0 0 0-2-2Zm10 0h-4a2 2 0 0 0-2 2v4a2 2 0 0 0 2 2h4v1a3 3 0 0 1-3 3h-1a1 1 0 0 0 0 2h1a5.006 5.006 0 0 0 5-5V2a2 2 0 0 0-2-2Z"/>
    </svg>
    <blockquote class="text-xl text-ctp-subtext0 italic">
        <p class="mb-2">"Before I adopted Darth Fluffybottom, my life was as dull as a bowl of water left out overnight. But oh boy, did that fluffy troublemaker turn my world upside down - in the best way possible!</p>
        <p class="mb-12">Ever tried to sleep in with a cat around? Yeah, good luck with that! But you know what? Those early wake-up calls are worth it for the sunrise snuggles and the daily serenade of meows demanding breakfast."<br><span class="mt-2 text-ctp-overlay1">- Nelly | Honolulu, HI</span></p>
    </blockquote>
    <svg class="w-8 h-8 text-ctp-pink mb-4" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 18 14">
      <path d="M6 0H2a2 2 0 0 0-2 2v4a2 2 0 0 0 2 2h4v1a3 3 0 0 1-3 3H2a1 1 0 0 0 0 2h1a5.006 5.006 0 0 0 5-5V2a2 2 0 0 0-2-2Zm10 0h-4a2 2 0 0 0-2 2v4a2 2 0 0 0 2 2h4v1a3 3 0 0 1-3 3h-1a1 1 0 0 0 0 2h1a5.006 5.006 0 0 0 5-5V2a2 2 0 0 0-2-2Z"/>
    </svg>
    <blockquote class="text-xl text-ctp-subtext0 italic">
        <p class="mb-2 text-right">"Let's talk about exercise - forget about hitting the gym when you've got a cat zooming around the house like a furry torpedo. My Fitsbit might not be impressed, but my cat's acrobatics sure keep me on my toes!</p>
        <p class="mb-12 text-right">Oh, and the entertainment value? Priceless. From dramatic pouncing sessions on invisible prey to impromptu dance parties chasing the elusive red dot, Bogey keeps me laughing till my sides ache."<br><span class="mt-2 text-ctp-overlay1">- Jon | Phoenix, AZ</p>
    </blockquote>
    <svg class="w-8 h-8 text-ctp-pink mb-4" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 18 14">
      <path d="M6 0H2a2 2 0 0 0-2 2v4a2 2 0 0 0 2 2h4v1a3 3 0 0 1-3 3H2a1 1 0 0 0 0 2h1a5.006 5.006 0 0 0 5-5V2a2 2 0 0 0-2-2Zm10 0h-4a2 2 0 0 0-2 2v4a2 2 0 0 0 2 2h4v1a3 3 0 0 1-3 3h-1a1 1 0 0 0 0 2h1a5.006 5.006 0 0 0 5-5V2a2 2 0 0 0-2-2Z"/>
    </svg>
    <blockquote class="text-xl text-ctp-subtext0 italic">
        <p class="mb-2">"It's not all about the laughs and the chaos. There's something inexplicably soothing about having a purring ball of fluff curled up on your lap, melting away the stresses of the day with every gentle rumble.</p>
        <p class="mb-2">So yeah, my life is definitely better with Fuji in it. Sure, he's a little furball of mischief, but he's my little furball of mischief. And I wouldn't have it any other way."<br><span class="mt-2 text-ctp-overlay1">- Woody | Seattle, WA</p>
    </blockquote>
  </div>
</div>
{% endblock %} 
